require 'spec_helper'

describe MassdebatorApi::Debate, "class defaults" do
  subject { MassdebatorApi::Debate}
  let(:config_hash) do
    {
      "test" => {
        "host"   => "localhost",
        "port"   => 80,
        "token"  => "abc123",
        "secret" => "def456"
      }
    }
  end

  it "returns the headers" do
    subject.headers.should == {
      "massdebator-token"  => config_hash['test']['token'],
      "massdebator-secret" => config_hash['test']['secret']
    }
  end
end
